WinBase.EnumResTypeProc (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, interface: EnumResTypeProc

Package com.sun.jna.platform.win32

# Interface WinBase.EnumResTypeProc

All Superinterfaces:
  `Callback`

Enclosing interface:
  WinBase

public static interface WinBase.EnumResTypeProc extends Callback
An application-defined callback function used with the EnumResourceTypes and EnumResourceTypesEx functions.
It receives resource types.
The ENUMRESTYPEPROC type defines a pointer to this callback function.
EnumResTypeProc is a placeholder for the application-defined function name.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.Callback

  `Callback.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.Callback

  `FORBIDDEN_NAMES, METHOD_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `invoke(WinDef.HMODULE module, Pointer type, Pointer lParam)`

- ## Method Details

  - ### invoke

    boolean invoke(WinDef.HMODULE module, Pointer type, Pointer lParam)
    Parameters:
      `module` - A handle to the module whose executable file contains the resources for which the types are to be enumerated.
      If this parameter is NULL, the function enumerates the resource types in the module used to create the current process.
      `type` - The type of resource for which the type is being enumerated.
      Alternately, rather than a pointer, this parameter can be MAKEINTRESOURCE(ID), where ID is the integer identifier of the given resource type.
      For standard resource types, see Resource Types.
      For more information, see the Remarks section below.
      `lParam` - An application-defined parameter passed to the EnumResourceTypes or EnumResourceTypesEx function.
      This parameter can be used in error checking.
    Returns:
      Returns TRUE to continue enumeration or FALSE to stop enumeration.